<?php

/**
 *
 * @package phpBB Extension - mChat
 * @简体中文语言　David Yin <http://www.g2soft.net/>
 * @copyright (c) 2016 dmzx - http://www.dmzx-web.net
 * @copyright (c) 2016 kasimi - https://kasimi.net
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters for use
// ’ » “ ” …

$lang = array_merge($lang, [
	'MCHAT_ADD'						=> '发送',
	'MCHAT_ARCHIVE'					=> '归档',
	'MCHAT_ARCHIVE_PAGE'			=> 'mChat 归档',
	'MCHAT_CUSTOM_PAGE'				=> 'mChat',
	'MCHAT_BBCODES'					=> 'BBCodes',
	'MCHAT_CUSTOM_BBCODES'			=> '定制 BBCodes',
	'MCHAT_DELCONFIRM'				=> '您确定要删除这个消息吗？',
	'MCHAT_EDIT'					=> '编辑',
	'MCHAT_EDITINFO'				=> '编辑下面这个消息。',
	'MCHAT_NEW_CHAT'				=> '新对话消息！',
	'MCHAT_SEND_PM'					=> '发送私人消息',
	'MCHAT_LIKE'					=> '顶',
	'MCHAT_LIKES'					=> '顶',
	'MCHAT_FLOOD'					=> '您不可以这么频繁地发送消息。',
	'MCHAT_FOE'						=> '这个消息是由用户 <strong>%1$s</strong> 发送，但他在你的忽略列表中。',
	'MCHAT_RULES'					=> '规则',
	'MCHAT_WHOIS_USER'				=> 'IP whois 用户 %1$s',
	'MCHAT_MESS_LONG'				=> '你的消息太长了，请限制在  %1$d 个字符。',
	'MCHAT_NO_CUSTOM_PAGE'			=> 'mChat 页面目前没有激活。',
	'MCHAT_NO_RULES'				=> 'mChat 规则页面目前还没有激活。',
	'MCHAT_NOACCESS_ARCHIVE'		=> '您没有权限来访问归档。',
	'MCHAT_NOJAVASCRIPT'			=> '请启用 JavaScript 来使用 mChat。',
	'MCHAT_NOMESSAGE'				=> '没有消息',
	'MCHAT_NOMESSAGEINPUT'			=> '你还没有消息',
	'MCHAT_MESSAGE_DELETED'			=> '这条消息已经被删除。.',
	'MCHAT_OK'						=> 'OK',
	'MCHAT_PAUSE'					=> '已暂停',
	'MCHAT_PERMISSIONS'				=> '修改用户的权限',
	'MCHAT_REFRESHING'				=> '刷新中…',
	'MCHAT_RESPOND'					=> '回复用户',
	'MCHAT_SMILES'					=> '表情',
	'MCHAT_TOTALMESSAGES'			=> '消息总数： <strong>%1$d</strong>',
	'MCHAT_USESOUND'				=> '播放声音',
	'MCHAT_SOUND_ON'				=> '声音打开',
	'MCHAT_SOUND_OFF'				=> '声音关闭',
	'MCHAT_ENTER'					=> '使用 Ctrl/Cmd + Enter 作为替代的操作',
	'MCHAT_ENTER_SUBMIT'			=> 'Enter 发送消息',
	'MCHAT_ENTER_LINEBREAK'			=> 'Enter 换行',
	'MCHAT_COLLAPSE_TITLE'			=> 'mChat 可见性开关',
	'MCHAT_WHO_IS_REFRESH_EXPLAIN'	=> '每 <strong>%1$d</strong> 秒刷新',
	'MCHAT_MINUTES_AGO'				=> [
		0 => '刚刚',
		1 => '%1$d 分钟前',
	],

	// These messages are formatted with JavaScript, hence {} and no %d
	'MCHAT_CHARACTER_COUNT'			=> '<strong>{current}</strong> 字符',
	'MCHAT_CHARACTER_COUNT_LIMIT'	=> '<strong>{current}</strong> 在 {max} 字符中',
	'MCHAT_MENTION'					=> ' @{username} ',
]);
